#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
// TESTING MEGA-F5 board OK
RF24 radio(15, 14); // (9, 10); // CE, CSN 
const byte address[6] = "00001"; //Byte of array representing the address.
boolean button_state = 0;
int led = 4;
int sig = 5;
String dane = "";

void setup() {
pinMode(led, OUTPUT);
pinMode(sig, OUTPUT);
Serial.begin(9600);
radio.begin();
radio.openReadingPipe(0, address);   //Setting the address at which we will receive the data
radio.setPALevel(RF24_PA_MIN);       //RF24_PA_MAX - minimum or maximum depending on the distance 
radio.startListening();              //This sets the module as receiver
}
void loop()
{
if (radio.available())              //Looking for the data.
{
  char text[1] = "";                 //Saving the incoming data
  radio.read(&text, sizeof(text));    //Reading the data
  dane = String(text[0]);
  Serial.println(dane);
  if(dane == "C")
  {
  Serial.println("C");
  digitalWrite(led, HIGH); 
  delay(250); 
  digitalWrite(led, LOW);
  delay(250);  
  }
  if(dane == "Z")
  {
  Serial.println("Z");
  digitalWrite(sig, HIGH); 
  delay(250); 
  digitalWrite(sig, LOW);
  delay(250);  
  }  
}
} 
